Skip to main content
PUT
/
v2
/
listings
/
{listingUid}
/
assets
/
{assetUid}
cURL
curl --request PUT \
  --url https://client.synack.com/api/asset/v2/listings/{listingUid}/assets/{assetUid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scope": "in",
  "scopeRules": [
    {
      "rule": "<string>",
      "scope": "in",
      "appliesTo": "scanners"
    }
  ],
  "assetUid": "<string>"
}
'
{
  "listingUid": "<string>",
  "scope": "in",
  "scopeRules": [
    {
      "uid": "<string>",
      "rule": "<string>",
      "scope": "in",
      "appliesTo": "scanners",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": "<string>"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "assetUid": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

listingUid
string
required

Unique identifier for an listing.

Pattern: ^[-_0-9a-z]{1,50}
assetUid
string
required

Unique identifier for an asset.

Pattern: ^[0-9a-f]{24}

Body

application/json

Properties of the assignment of an asset to a listing.

Assignment of an asset to a listing.

scope
enum<string>

Set to in-scope means automated and manual testing should occur; out-of-scope means automated and manual testing must not occur; discovered means observed through automated discovery and may be automatically removed if not observed again during subseqent discovery activities.

Available options:
in,
out,
discovered,
blocked
scopeRules
object[]

Out of scope locations for this asset.

assetUid
string

Unique identifier for an asset.

Pattern: ^[0-9a-f]{24}

Response

The assignment of an asset to an listing.

Assignment of an asset to a listing.

listingUid
string

Unique identifier for an listing.

Pattern: ^[-_0-9a-z]{1,50}
scope
enum<string>

Set to in-scope means automated and manual testing should occur; out-of-scope means automated and manual testing must not occur; discovered means observed through automated discovery and may be automatically removed if not observed again during subseqent discovery activities.

Available options:
in,
out,
discovered,
blocked
scopeRules
object[]

Out of scope locations for this asset.

createdAt
string<date-time>

Automatically set by the server to the time the listing asset association was created.

updatedAt
string<date-time>

Automatically set by the server to the time the listing asset association is updated.

assetUid
string

Unique identifier for an asset.

Pattern: ^[0-9a-f]{24}